MONGOC_URI_GET_AUTH_MECHANISM(3)

NAME
mongoc_uri_get_auth_mechanism - mongoc_uri_get_auth_mechanism()

SYNOPSIS

        const char *
        mongoc_uri_get_auth_mechanism (const mongoc_uri_t *uri);

PARAMETERS

    •   uri: A mongoc_uri_t.

DESCRIPTION

Fetches the authMechanism parameter to an URI if provided.

RETURNS

A string which should not be modified or freed. Returns NULL if the authMechanism parameter was not provided to uri.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc